Sabuj Kundu 2nd Dec 2012

joomla 3.0 and mootoolsJoomla 3.0 comes with a lots of features and lots of changed procedure also. The New version comes with both MooTools (the old companion of Joomla) and jQuery JavaScript libraries.

In Joomla 1.5, if you needed load MooTools libraries, you needed add a line in your code something like this:


And for backward compatibility purpose in Joomla 1.6, 1.7 and 2.5 this line works, too.

But in Joomla 3.0, it’s been deprecated and you need to use the new standard. For adding MooTools Core libraries you need to add:


and if you want to add both MooTools Core and MooTools More libraries, you need to add:

JHTML::_('behavior.framework', true);

Happy Joomla Coding! :)

Leave a Reply

Your email address will not be published. Required fields are marked *